#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>

#include <linux/capability.h>

#ifndef CAP_TO_MASK
#define CAP_TO_MASK(x) (1 << (x))
#endif

int main(int argc, char **argv)
{
	FILE *fp;
	u_long linuxcap=0xFFFFFFFF;
	char newcap[12];

	if ((fp=fopen("/proc/sys/kernel/cap-bound","r+")) == NULL) {
		perror("fopen");
		exit(1);
	}

	linuxcap &= ~CAP_TO_MASK(CAP_SYS_MODULE);
	linuxcap &= ~CAP_TO_MASK(CAP_LINUX_IMMUTABLE);	

	sprintf(newcap, "0x%x\n", linuxcap);

	fprintf(stdout, "%s", newcap);

	if (fwrite(newcap, strlen(newcap), 1, fp) <= 0)	{
		perror("write");
		exit(1);
	}

	fclose(fp);
	exit(0);
}

// EOF

