/* 
 * Copyright 2002 Vinicius da Silveira Serafim <serafim@inf.ufrgs.br>
 *                Alvaro Reguly <alvaro@reguly.net>
 *
 * This file is part of SOFFIC.
 *
 * SOFFIC is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * SOFFIC is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with SOFFIC; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/*
 * Changelog format
 *
 * [Month Year Your_Name] what_was_changed
 */

/*
 * [Feb 2002 V. Serafim ] First release.
 */

#include <unistd.h>
#include <stdio.h>
#include <stdlib.h>
#include <fcntl.h>
#include <dirent.h>
#include <string.h>
#include <ctype.h>

#define _GNU_SOURCE
#include <getopt.h>

#include <sys/types.h>
#include <sys/stat.h>

#include <openssl/evp.h>

#define SOF_SOFFICADM
#include <linux/soffic_.h>

#define SOF_SOFFICADM_VERSION "0.4"

/* HL */
enum HL_OPERATIONS { HL_NONE, HL_GENERATE, HL_LIST, HL_UPDATE, HL_CHECK};
enum HL_FILES { HL_FILE_IN, HL_FILE_OUT, HL_RSAKEY};

void hl_exit_help(char *);
void hl(int, int, char **);

/* DIGEST */
int digest_file(int, char *, char *);

/* MISC */
void exit_error(char *);
void exit_usehelp(void);
struct stat *misc_getfilestat(char *);
void **misc_array_realloc(void **, int, int, int *, int);

// EOF
